/* ベース設定 */
body {
    width: 100%;
    margin: 0;
    font-family: 'Yu Gothic', 'Hiragino Kaku Gothic ProN', sans-serif;
    background-color: #f8fcff;
    color: #333;
  }
  #header {
    width: 100%;
    height: auto;
    line-height: 1.6;
  }
  .header-inner {
    width: 90%;
    margin: 0 auto;
    padding: 16px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .header-logo  img {
    width: 300px;
    display: flex;
    align-items: center;
  }
  header ul {
    display: flex;
    justify-content: space-between;
    text-align: center;
    text-decoration: none;
    color: #000;
  }
  header li {
    margin-left: 30px;
    list-style: none;
    
  }
  header nav ul li a {
    text-decoration: none;
    color: #000;
  }
  @media screen and (max-width: 480px) {
    header li {
      display: none;
    }
    .header-inner {
      justify-content: center;
      margin-top: 20px;
    }
    .header-logo img {
      text-align: center;
    }
  }
  .slide img {
    width: 100%;
    height: auto;
    margin: 0 0 10px 0;
  }
  
  .main_photo {
    display: block;
    margin: 0 auto 0 auto;
  }
  
  *,body,ul {
    margin: 0;
    padding: 0;
  }
  li {
    list-style: none;
  }
  /* ↓ スライドの外枠 */
  .hero {
    margin-bottom: 30px;
  }
  .slide-wrapper {
    width: 90%;
    height: 500px;
    position: relative;
    overflow: hidden; 
    margin: 0 auto;
  }
  /*  ↓ スライド（コンテンツ） */
  .slide { /*スライド全体 */
    width: 300%;
    height: 100%;
    display: flex;
    transition: all 0.6s;
  }
  .slide img {
    margin: auto;
    display: block;
  }
  .slide div { /* スライド */
    width: 33.33%;
    height: 100%;
    font-size: 16px;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
  }
  .slide1 { /* スライドさせるために必要なクラス */
    transform: translateX(0);
  }
  .slide2 { /* スライドさせるために必要なクラス */
    transform: translateX(-33.33%);
  }
  .slide3 { /* スライドさせるために必要なクラス */
    transform: translateX(-66.66%);
  }
  /* ↓ 左右のボタン */
  .next {
    position: absolute;
    width: 15px;
    height: 15px;
    right: 10px;
    bottom: 50%;
    z-index: 10;
    cursor: pointer;
    border-top: solid 3px #000;
    border-right: solid 3px #000;
    -webkit-transform: rotate(45deg) translateY(50%);
    transform: rotate(45deg) translateY(50%);
  }
  .prev {
    position: absolute;
    width: 15px;
    height: 15px;
    left: 25px;
    bottom: 50%;
    z-index: 10;
    cursor: pointer;
    border-top: solid 3px #000;
    border-right: solid 3px #000;
    -webkit-transform: rotate(-135deg) translateY(-50%);
    transform: rotate(-135deg) translateY(-50%);
  }
  
  .indicator {
    width: 100%;
    position: absolute;
    bottom: 20px;
    display: flex;
    column-gap: 18px;
    z-index: 10;
    justify-content: center;
    align-items: center;
  }
  .indicator li {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    list-style: none;
    background-color: #fff;
    border: 2px #000 solid;
    cursor: pointer;
  }
  .indicator li:first-of-type {
    background-color: #000;
  }
  @media screen and (max-width: 480px) {
    .slide-wrapper {
      height: 300px;
    }
  }
  .intro {
    width: 90%;
    margin: 0 auto;
    margin-bottom: 20px;
    padding-top: 20px;
  }
  .intro h2 {
    font-size: 50px;
    margin-top: 100px;
  }
  .intro-container {
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .intro-image {
    width: 90%;
    height: 400px;
  }
  .intro-image img {
    width: 100%;
    height: 400px;
    border-radius: 20px;
  }
  .intro-inner {
    width: 90%;
    margin: 0 auto;
    text-align: center;
    
  }
  .intro-inner h3 {
    font-size: 50px;
    margin-bottom: 20px;
  }
  .intro-inner p {
    text-align: center;
    line-height: 1.6;
    margin-left: 20px;
  }

  @media screen and (max-width: 480px) {
    .intro h2 {
      font-size: 30px;
      margin: 0;
    }
    .intro-container {
      display: flex;
      flex-direction: column;
    }
    .intro-image {
      width: 100%;
      height: 80%;
    }
    .intro-image img {
      width: 100%;
      height: 80%;
    }
    .intro h3 {
      font-size: 30px;
    }
    .intro p {
      font-size: 16px;
      line-height: 1.4;
    }
  }

  .shima-year {
    width: 90%;
    margin: 0 auto;
    margin-bottom: 100px;
  }
  .shima-year h2 {
    font-size: 50px;
    margin-top: 100px;
  }
  .season {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin-bottom: 20px;
  }
  .season img {
    width: 640px;
    height: 480px;
  }
  
  .season-card {
    min-width: 250px;
    flex-shrink: 0;
    scroll-snap-align: start;
    background: #fff;
    border-radius: 12px;
    padding: 1rem;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    text-align: center;
  }
  .season-card {
    background-color: salmon;
    font-weight: bold;
  }

  
  /* 季節別カラー */
  .spring {
     background-color: #f0f8ff; 
    }
  .summer { background-color: #f0f0f0; }
  .autumn { background-color: #f0f0f0; }
  .winter { background-color: #f0f8ff; }

    @media screen and (max-width: 480px) {
      .season {
        width: 100%;
        grid-template-columns: 1fr;
        gap: 50px;
        font-size: 10px;
      }
      .shima-year h2 {
        font-size: 30px;
      }
      .season-card {
        width: 90%;
      }
      .season img {
        width: 300px;
        height: 250px;
      }
      .season p {
        font-size: 16px;
      }
    }
  .Features {
      width: 90%;
      margin: 0 auto;
      margin-bottom: 20px;
  }
  .Features h2 {
    font-size: 50px;
  }
  .Features-container {
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f0f8ff;
    padding-top: 2em;
  }
  .Features .row {
    display: flex;
    justify-content: center;
    align-items: stretch;
    align-items: center;
    margin: 0 auto;
    gap: 20px; 
  }
  .Features .col {
    width: 90%;
    padding: 0 10px;
  }
  .Features-image {
    margin: 0 auto;
    text-align: center;
    display: flex;
    justify-content: center;
    margin-bottom: 16px;
  }
  .Features img {
    width: 173px;
    text-align: center;
    border-radius: 100%;
    height: 173px;
    object-fit: cover;
  }
  .Features h3 {
    text-align: center;
    margin-bottom: 10px;
    margin-right: 20px;
    font-size: 30px;
  }
  .Features p {
    width: 90%;
    height: 80px;
    font-size: 15px;
    text-align: center;
    margin: 0 10px;
    line-height: 1.6;
    min-height: 3.5em;
  }
  @media screen and (max-width: 480px) {
    .Features h2 {
      font-size: 30px;
      margin-bottom: 20px;
    }
    .Features .row {
      display: flex;
      flex-direction: column;
    }
  }

  .contact {
    width: 90%;
    margin: 0 auto;
    margin-bottom: 20px;
  }
  .contact h2 {
    margin-top: 50px;
    font-size: 50px;
    color: #333;
  }
  @media screen and (max-width: 480px) {
    .contact h2 {
      font-size: 30px;
    }
  }
  form {
    padding: 20px;
    width: 90%;
    max-width: 400px;
    margin: auto;
    border-radius: 10px;
    text-align: left;
  }
  label {
    display: block;
    margin-top: 10px;
    font-weight: bold;
    color: #555;
  }
  input, textarea {
    width: 100%; 
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
  }
  textarea {
    resize: vertical;
    height: 120px;
    }
  button {
    background-color: #778899;
    color: white;
    border: none;
    padding: 10px;
    width: 100%;
    margin-top: 10px;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    margin-left: 10px;
  }
  button:hover {
    background-color: #708090;
  }
  footer {
    padding: 2rem;
    font-size: 15px;
    color: #000;
    background: #fff;
    border-top: 1px solid #e5e7eb;
    display: flex;
    justify-content: center;
    text-align: center;
  }
  .footer-menu {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  footer li {
    margin-left: 20px;
    margin-bottom: 10px;
  }
  footer p {
    margin-left: 20px;
  }
  @media screen and (max-width: 480px) {
    footer {
      padding: 1rem 0;
    }
  }
  